#pragma once

#include "common.h"

#include <stdio.h>

extern_c int read_config(FILE *);
extern_c int write_config(FILE *);
extern_c int save_config(void);
extern_c void init_config(void);

extern_c long getenv_l(const char *var, long def);
extern_c void setenv_l(const char *var, long val);
extern_c unsigned long getenv_ul(const char *var, unsigned long def);
extern_c void setenv_ul(const char *var, unsigned long val);
extern_c bool getenv_bool(const char *var);
extern_c void setenv_bool(const char *var, bool val);




